Unit tde00r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE00R_p, FJDE00R_p, DE00R_p;

function tde00r: String;

implementation

function tde00r: String;
var
M,JSTART,IH,IERR :Integer;
X,HMIN,EPS,P,H,XP :Real;
BUL :Boolean;
YX :Array [0..1] of Real;
YP :Array [0..1] of Real;
A :Array [0..3] of Real;
E1 :Array [0..3] of Real;
E2 :Array [0..3] of Real;
E3 :Array [0..3] of Real;
E4 :Array [0..3] of Real;
R :Array [0..1] of Real;
R0 :Array [0..1] of Real;
R1 :Array [0..1] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
YD :Array [0..1] of Real;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 2;
X := 1.0;
YX[0] := 49.0;
YX[1] := 50.0;
HMIN := 1.E-10;
EPS := 1.E-8;
P := 1.E2;
JSTART := 0;
H := 0.01;
IH := 0;
_100:
IH := IH+1;
DE00R (FDE00R,FJDE00R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,A,E1,
     E2,E3,E4,R,R0,R1,R2,R3,YD,IERR);
Result := Result + Format('     %20.16f      %20.16f      %20.16f ',
 [X,YX[0],YX[1]]) + #$0D#$0A;
Result := Result + Format('%s',['-']) + #$0D#$0A; 
Result := Result + Format('     %20.16f      %20.16f      %20.16f ',
 [H,R1[0],R1[1]]) + #$0D#$0A;
Result := Result + Format('%s',['**']) + #$0D#$0A; 
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.0;
JSTART := 3;
goto _100;
_102:
EPS := 1.E-2;
goto _100;
_103:
JSTART := -1;
EPS := 1.E-8;
goto _100;
_104:
EPS := 1.E-2;
H := 1.E-8;
JSTART := 3;
goto _100;
_105:
H := -1.E-3;
EPS := 1.E-8;
JSTART := 0;
goto _100;
_106:
UtRes('tde00r',Result);  {     tde00r.res }
exit;
end;

end.
